<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Msptpd_psb extends CI_Model
{

    public $table = 'SPTPD_SARANG_BURUNG';
    public $id = 'ID_INC';
    public $order = 'DESC';
    public $KODE_BILING = 'KODE_BILING';

    function __construct()
    {
        parent::__construct();
        $this->nip=$this->session->userdata('NIP');
        $this->role=$this->session->userdata('MS_ROLE_ID');
    }

    // datatables
    function json() {
        $t1 =$this->session->userdata('psb_bulan');
        $t2 =$this->session->userdata('psb_tahun');
        $wh ="MASA_PAJAK='$t1' AND TAHUN_PAJAK='$t2' ";
        $this->datatables->select("ID_INC,MASA_PAJAK,TAHUN_PAJAK,NPWPD,NAMA_WP,DPP,PAJAK_TERUTANG, KODE_BILING, STATUS,to_char(TGL_BAYAR,'dd/mm/yyyy HH24: MI: SS')  TGL_BAYAR");
        $this->datatables->from('SPTPD_SARANG_BURUNG');
        if ($this->role==8) {
            $this->datatables->where("NPWPD='$this->nip'");
        }
        $this->datatables->where($wh);
        $this->db->order_by(" TAHUN_PAJAK DESC, MASA_PAJAK DESC,ID_INC DESC");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Sptpd_psb/Sptpd_psb/detail/$1'),'<i class="fa fa-binoculars"></i>','class="btn btn-xs btn-primary"').anchor(site_url('Sptpd_psb/Sptpd_psb/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('pembelian/sptpd_hotel/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" id="delete" data-id="$1" href="javascript:void(0)"').anchor(site_url('Pdf/pdf/pdf_kode_biling/$1'),'<i class="fa fa-print"></i>','class="btn btn-xs btn-info"').'</div>', 'acak(KODE_BILING)');
        $this->datatables->add_column('actionb', '<div class="btn-group">'.anchor(site_url('Sptpd_psb/Sptpd_psb/detail/$1'),'<i class="fa fa-binoculars"></i>','class="btn btn-xs btn-primary"').anchor(site_url('Pdf/pdf/pdf_kode_biling/$1'),'<i class="fa fa-print"></i>','class="btn btn-xs btn-info"').'</div>', 'acak(KODE_BILING)');
        return $this->datatables->generate();
    }
 
    // get data by id
    function get_by_id($id)
    {
        return $this->db->query("SELECT ID_INC, MASA_PAJAK, TAHUN_PAJAK, NAMA_WP, ALAMAT_WP, NAMA_USAHA, ALAMAT_USAHA, NPWPD, NO_FORMULIR,TO_CHAR(TANGGAL_PENERIMAAN, 'dd/mm/yyyy') AS TANGGAL_PENERIMAAN, TO_CHAR(BERLAKU_MULAI, 'dd/mm/yyyy') AS BERLAKU_MULAI, KODEKEC, KODEKEL, JENIS_PENGELOLAAN, JENIS_BURUNG, KEPEMILIKAN_IJIN, JENIS_ENTRIAN, DARI, NOMOR, LUAS_AREA, JUMLAH_GALUR, DIPANEN_SETIAP,HASIL_SETIAP_PANEN, HARGA_RATA_RATA, HASIL_PANEN,  PAJAK, DPP, PAJAK_TERUTANG FROM SPTPD_SARANG_BURUNG WHERE KODE_BILING='$id'")->row();
    }
    
  

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->KODE_BILING, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->KODE_BILING, $id);
        $this->db->delete($this->table);
    }


    function ListParent(){
        return $this->db->query("SELECT kode_menu,nama_menu FROM MENU WHERE PARENT_MENU=0 ORDER BY SORT_MENU ASC")->result();
    }
     function getKel($id){
        return $this->db->query("SELECT * FROM KELURAHAN WHERE KODEKEC='$id'")->result();
     }
     function Gol(){
        return $this->db->query("SELECT * FROM OBJEK_PAJAK where iD_GOL=243 ")->result();
    }
    function getTu()
    {
        return $this->db->query("SELECT ID_INC, NAMA_USAHA, ALAMAT_USAHA, JENIS_PAJAK FROM TEMPAT_USAHA WHERE NPWPD='$this->nip' AND JENIS_PAJAK='09' order by JENIS_PAJAK asc")->result();
    }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */